OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
BBoxFilter Class Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types
using | Handle = AttributeHandle< openvdb::Vec3f >

## Public Member Functions
| BBoxFilter (const openvdb::math::Transform &transform, const openvdb::BBoxd &bboxWS)
| BBoxFilter (const BBoxFilter &filter)
bool | initialized () const
index::State | state () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
template<typename LeafT >
static index::State | state (const LeafT &)

## Member Typedef Documentation

## ◆ Handle

using Handle = AttributeHandle<openvdb::Vec3f>

## Constructor & Destructor Documentation

## ◆ BBoxFilter() [1/2]

BBoxFilter | ( | const openvdb::math::Transform & | transform,
|  | const openvdb::BBoxd & | bboxWS
| ) |  |
| inline

## ◆ BBoxFilter() [2/2]

BBoxFilter | ( | const BBoxFilter & | filter | ) |
| inline

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ state() [1/2]

index::State state | ( |  | ) | const
| inline

## ◆ state() [2/2]

template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline